public class RemoveTester {

  public static void main (String[] args) {

    CountedMultiset collection = new CountedMultiset();

    Item item1  = new Item ("Broom", "BR-1", 5.79);
    collection.insertAtEnd (item1);

    Item item2  = new Item ("Mop", "MP-3", 7.99, 3);
    collection.insertAtEnd (item2);

    Item item3  = new Item ("Bucket", "MB-7", 1.45, 2);
    collection.insertAtEnd (item3);

    Item item4  = new Item ("Cloth", "WC-2", 0.25, 30);
    collection.insertAtEnd (item4);

    Item nonExist  = new Item ("Cloth", "WC-3", 5.25, 20);

    System.out.println ("The original collection...");
    System.out.println (collection);
    System.out.println ("");

    collection.remove (nonExist);
    System.out.println ("After remove a non-existant item...");
    System.out.println (collection);
    System.out.println ("");

    collection.remove (item1);
    System.out.println ("After remove an item whose count is 1...");
    System.out.println (collection);
    System.out.println ("");

    System.out.println ("Now let's watch an item (MB-7)  slowly disappear...");
    System.out.println (collection);
    collection.remove (item3);
    System.out.println (collection);
    collection.remove (item3);
    System.out.println (collection);
    System.out.println ("");

  }
}
