class Item {

  private String description;
  private String code;
  private double price;

  private int count;


  public Item (String description, String code, double price) {
    this.description = description;
    this.code = code;
    this.price = price;

    this.count = 1;
  }


  public Item (String description, String code, double price, int count) {
    this.description = description;
    this.code = code;
    this.price = price;

    this.count = count;
  }


  public double getPrice() {
    return price;
  }


  public int getCount() {
    return count;
  }


  public String getCode() {
    return code;
  }
 
 
  public void setPrice (double price) {
    this.price = price;
  }


  public void stockItem (int additionalQuantity) {
    this.count += additionalQuantity;
  }


  public void removeItem (int removeQuantity) {
    this.count -= removeQuantity;
  }


  public String toString() {
    return code + ": " + description + ", $" + price + ", Qty=" + count;
  }

  

}
