public class FilterTester {

  public static void main (String[] args) {

    CountedMultiset collection = new CountedMultiset();
    CountedMultiset filteredCollection = new CountedMultiset();
    Item item;


    item  = new Item ("Broom", "BR-1", 5.79);
    collection.insertAtEnd (item);

    item  = new Item ("Mop", "MP-3", 7.99, 3);
    collection.insertAtEnd (item);

    item  = new Item ("Bucket", "MB-7", 1.45, 2);
    collection.insertAtEnd (item);

    item  = new Item ("Cloth", "WC-2", 0.25, 30);
    collection.insertAtEnd (item);

    System.out.println ("The original collection...");
    System.out.println (collection);
    System.out.println ("");

    filteredCollection = collection.filter ("MB-7", 1.00);
    System.out.println ("Cost at least $1.00, but not MP-7");
    System.out.println (filteredCollection);
    System.out.println ("");

    filteredCollection = collection.filter ("MB-9", 1.00);
    System.out.println ("Cost at least $1.00, but not MP-9 (non-existant)");
    System.out.println (filteredCollection);
    System.out.println ("");

    filteredCollection = collection.filter ("MB-9", 7.99);
    System.out.println ("Cost at least $7.99 but not MP-9 (non-existant)");
    System.out.println (filteredCollection);
    System.out.println ("");

    filteredCollection = collection.filter ("MP-3", 7.99);
    System.out.println ("Cost at least $7.99 but not MP-3");
    System.out.println (filteredCollection);
    System.out.println ("");
  }
}
